#pragma once

#include <vectors/vec2.h>
#include <render/atlas.hpp>

#include "basicBullet.hpp"

#define POWERUP_WEAPON_1  0
#define POWERUP_WEAPON_2  1
#define POWERUP_WEAPON_3  2
#define POWERUP_HEAL      3
#define POWERUP_DAMAGE_UP 4

namespace game::entity{

class PowerUp: public BasicBullet
{
private:
    render::sprite::Icon icon;
public:
    int type;

    PowerUp(World *world, const vec2f &position, float speed);

    virtual void Setup();
    virtual void Render() noexcept;

};

}
